Bug 428294 - SELinux is preventing /usr/sbin/sm-notify (rpcd_t) "read" to /usr/sbin/sm- notify (bin_t).
SELinux is preventing /usr/sbin/sm-notify (rpcd_t) "read" to /usr/sbin/sm- no...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
i586 Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 11:05 EST by The Hermit
Modified: 2008-01-14 13:20 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 13:20:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description The Hermit 2008-01-10 11:05:48 EST
Summary
    SELinux is preventing /usr/sbin/sm-notify (rpcd_t) "read" to /usr/sbin/sm-
    notify (bin_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/sm-notify. It is not expected
    that this access is required by /usr/sbin/sm-notify and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/sbin/sm-notify, restorecon
    -v /usr/sbin/sm-notify If this does not work, there is currently no
    automatic way to allow this access. Instead,  you can generate a local
    policy module to allow this access - see http://fedora.redhat.com/docs
    /selinux-faq-fc5/#id2961385 Or you can disable SELinux protection
    altogether. Disabling SELinux protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:rpcd_t
Target Context                system_u:object_r:bin_t
Target Objects                /usr/sbin/sm-notify [ file ]
Affected RPM Packages         nfs-utils-1.1.0-4.fc7 [application]nfs-
                              utils-1.1.0-4.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Thu 10 Jan 2008 09:58:12 AM CST
Last Seen                     Thu 10 Jan 2008 09:58:12 AM CST
Local ID                      6666ad63-c57c-4394-a629-80afe9cc6dcf
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="sm-notify" dev=sda3 egid=0 euid=0 exe="/usr/sbin
/sm-notify" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="sm-notify"
path="/usr/sbin/sm-notify" pid=4378 scontext=system_u:system_r:rpcd_t:s0 sgid=0
subj=system_u:system_r:rpcd_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:bin_t:s0 tty=(none) uid=0

==============================================================================
Summary
    SELinux is preventing /usr/sbin/sm-notify (rpcd_t) "search" to <Unknown>
    (sysctl_fs_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/sm-notify. It is not expected
    that this access is required by /usr/sbin/sm-notify and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:rpcd_t
Target Context                system_u:object_r:sysctl_fs_t
Target Objects                None [ dir ]
Affected RPM Packages         nfs-utils-1.1.0-4.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Thu 10 Jan 2008 09:58:13 AM CST
Last Seen                     Thu 10 Jan 2008 09:58:13 AM CST
Local ID                      7077c91e-85a9-4af4-baa5-a467f15d74ff
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="sm-notify" egid=0 euid=0 exe="/usr/sbin/sm-
notify" exit=-2 fsgid=0 fsuid=0 gid=0 items=0 pid=4378
scontext=system_u:system_r:rpcd_t:s0 sgid=0 subj=system_u:system_r:rpcd_t:s0
suid=0 tclass=dir tcontext=system_u:object_r:sysctl_fs_t:s0 tty=(none) uid=0
Comment 2 Daniel Walsh 2008-01-14 13:20:50 EST
Fixed in current release.

yum update selinux-policy


Note You need to log in before you can comment on or make changes to this bug.